from compLIB.ADC import ADC


BATTERY_CHANNEL = 2
BATTERY_COUNT = 2
BATTERY_MULTIPLIER = 3
BATTERY_MIN_VOLTAGE = 3.6
BATTERY_MAX_VOLTAGE = 4.1

adc = ADC()


class Battery(object):

    @staticmethod
    def percent() -> int:
        """
        Get battery percentage between 0 and 100
        :return:
        """
        voltage = adc.read(BATTERY_CHANNEL) * BATTERY_MULTIPLIER
        return int((voltage - BATTERY_MIN_VOLTAGE) / BATTERY_MAX_VOLTAGE * 100)
