import RPi.GPIO as GPIO
import atexit

GPIO.setwarnings(False)
Buzzer_Pin = 17
GPIO.setmode(GPIO.BCM)
GPIO.setup(Buzzer_Pin, GPIO.OUT)


class Buzzer:

    @staticmethod
    def set(on: bool):
        """
        Turn the buzzer on / off
        :param on: True if on, False if off
        :return: None
        """
        GPIO.output(Buzzer_Pin, on)

def exit():
    Buzzer.set(0)

atexit.register(exit)